## kpicosim-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( kpicosim )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H  )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kpicosim-trinity 3.5.13.2

=== debian/changelog ===
kpicosim-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:03:42 +0200

kpicosim-trinity (0.6a-4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kpicosim-trinity (0.6a-3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

kpicosim-trinity (0.6a-1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 21:38:00 -0600

kpicosim (0.6a-1) unstable; urgency=low

  * Repackaged upstream's v0.6. kpicosim-0.6-1 was actually v0.5. 

 -- Adrian Knoth <adi@thur.de>  Wed, 20 Jun 2007 14:48:01 +0200

kpicosim (0.6-1) unstable; urgency=low

  * Initial release Closes: #344945

 -- Adrian Knoth <adi@thur.de>  Sat, 12 Nov 2005 15:36:56 +0200

=== debian/control ===
Source: kpicosim-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
Build-Depends: debhelper (>= 4.0.0), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kpicosim-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kpicosim-kde3 (<< 4:3.5.13)
Breaks: kpicosim-kde3 (<< 4:3.5.13)
Description: IDE and simulator for the Xilinx PicoBlaze-3 [Trinity]
 kpicosim is a development environment for the Xilinx 
 PicoBlaze-3 soft-core processor for the KDE Desktop (Linux).
 The environment has an editor with syntax highlighting, compiler,
 simulator and export functions to VHDL, HEX and MEM files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure $(configkde)--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=/opt/trinity/share/man --with-extra-libs=/opt/trinity/lib --infodir=/opt/trinity/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde $(MAKE)
	#docbook-to-man debian/kpicosim.sgml > kpicosim.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 
	rm -f config.log config.guess config.sub

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kpicosim.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kpicosim-trinity

        # Install standard documentation links.
	for pkg in `dh_listpackages`; do \
	 if test -d debian/$$pkg/opt/trinity/share/doc/tde/HTML; then \
	 if test ! -d debian/$$pkg/opt/trinity/share/doc/tde; then \
	 mkdir debian/$$pkg/opt/trinity/share/doc/tde; \
	 fi; \
	 mv debian/$$pkg/opt/trinity/share/doc/tde/HTML debian/$$pkg/opt/trinity/share/doc/tde/; \
	 fi; \
	 if test -d debian/$$pkg/opt/trinity/share/doc/tde/HTML/en/$$pkg; then \
	 dh_link -p$$pkg opt/trinity/share/doc/tde/HTML/en/$$pkg \
	 opt/trinity/share/doc/$$pkg/html; \
	 fi; \
	done


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	mv debian/kpicosim-trinity/usr/share/man debian/kpicosim-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kpicosim-trinity 14.0.5

=== debian/changelog ===
kpicosim-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:12:29 +0200

=== debian/control ===
Source: kpicosim-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kpicosim-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kpicosim-kde3 (<< 4:14.0.0~), kpicosim-trinity (<< 4:14.0.0~)
Breaks: kpicosim-kde3 (<< 4:14.0.0~), kpicosim-trinity (<< 4:14.0.0~)
Description: IDE and simulator for the Xilinx PicoBlaze-3 [Trinity]
 kpicosim is a development environment for the Xilinx 
 PicoBlaze-3 soft-core processor for the Trinity Desktop (Linux).
 The environment has an editor with syntax highlighting, compiler,
 simulator and export functions to VHDL, HEX and MEM files.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -33,15 +33,22 @@
 	CFLAGS += -O2
 endif
 
-config.status: configure
+config.status:
 	dh_testdir
 
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
-	
+	cp -p /usr/share/misc/config.sub admin/config.sub
+	cp -p /usr/share/misc/config.guess admin/config.guess
+
 	make -f admin/Makefile.common cvs
 	touch debian/stamp-bootstrap
 
@@ -55,7 +62,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde $(MAKE)
+	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/tde $(MAKE)
 	#docbook-to-man debian/kpicosim.sgml > kpicosim.1
 
 	touch build-stamp
@@ -63,21 +70,12 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
-
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
-	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
-	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
-	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
-	
-	make -f admin/Makefile.common cvs
-	touch debian/stamp-bootstrap
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
-	dh_clean 
+	dh_clean
 	rm -f config.log config.guess config.sub
 
 install: build

## kpicosim-trinity 14.0.6

=== debian/changelog ===
kpicosim-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
-Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kpicosim-trinity

## kpicosim-trinity 14.0.8

=== debian/changelog ===
kpicosim-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kpicosim-trinity

## kpicosim-trinity 14.0.9

=== debian/changelog ===
kpicosim-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:10:19 +0200

## kpicosim-trinity 14.0.10

=== debian/changelog ===
kpicosim-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kpicosim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kpicosim-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kpicosim-trinity (<< 4:14.0.0~)
Breaks: kpicosim-trinity (<< 4:14.0.0~)
Description: IDE and simulator for the Xilinx PicoBlaze-3 [Trinity]
 kpicosim is a development environment for the Xilinx 
 PicoBlaze-3 soft-core processor for the Trinity Desktop (Linux).
 The environment has an editor with syntax highlighting, compiler,
 simulator and export functions to VHDL, HEX and MEM files.

## kpicosim-trinity 14.0.11

=== debian/changelog ===
kpicosim-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Oct 2021 02:53:20 +0200

## kpicosim-trinity 14.0.12

=== debian/changelog ===
kpicosim-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:33 +0100

## kpicosim-trinity 14.0.13

=== debian/changelog ===
kpicosim-trinity (4:14.0.13-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 10:09:26 +0200

=== debian/control ===
Source: kpicosim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kpicosim-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kpicosim-kde3 (<< 4:14.0.0~), kpicosim-trinity (<< 4:14.0.0~)
Breaks: kpicosim-kde3 (<< 4:14.0.0~), kpicosim-trinity (<< 4:14.0.0~)
Description: IDE and simulator for the Xilinx PicoBlaze-3 [Trinity]
 kpicosim is a development environment for the Xilinx 
 PicoBlaze-3 soft-core processor for the Trinity Desktop (Linux).
 The environment has an editor with syntax highlighting, compiler,
 simulator and export functions to VHDL, HEX and MEM files.

## kpicosim-trinity 14.1.0

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kpicosim-trinity

## kpicosim-trinity 14.1.1

=== debian/changelog ===
kpicosim-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Jul 2023 11:48:22 +0200

## kpicosim-trinity 14.1.2

=== debian/changelog ===
kpicosim-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## kpicosim-trinity 14.1.3

=== debian/changelog ===
kpicosim-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 23:09:50 +0200

## kpicosim-trinity 14.1.4

=== debian/changelog ===
kpicosim-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kpicosim-trinity 14.1.5~pre6

=== debian/changelog ===
kpicosim-trinity (4:14.1.5~pre6-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 00c04c7da5fe3f577fcdad5ff0b11d5daca6226f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kpicosim-trinity 14.1.5~pre7

=== debian/changelog ===
kpicosim-trinity (4:14.1.5~pre7-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a15007f7db7b2022d802bf58c16c2d02ee4f1d3e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 16 Oct 2025 23:06:09 +0200

## kpicosim-trinity 14.1.5

=== debian/changelog ===
kpicosim-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 16 Oct 2025 23:06:09 +0200

## kpicosim-trinity 14.1.6~pre0

=== debian/changelog ===
kpicosim-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a15007f7db7b2022d802bf58c16c2d02ee4f1d3e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 16 Oct 2025 23:06:09 +0200

## kpicosim-trinity 14.1.6~pre1

=== debian/changelog ===
kpicosim-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 57176459b38d427b8a58e0fff3ae1f22d8801b37
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:32:01 +0100

## kpicosim-trinity 14.2.0~pre33

=== debian/changelog ===
kpicosim-trinity (4:14.2.0~pre33-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for a850f33659484b4dd1b2f411c5a1da45c0fc0781
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kpicosim-trinity 14.2.0~pre34

=== src/pics/CMakeLists.txt ===
install(
    FILES continue.png interrupt.png next.png rebuild.png reset.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
)

=== debian/changelog ===
kpicosim-trinity (4:14.2.0~pre34-0raspbian13.0.0+6) raspbian-trixie; urgency=low

  * Automated git build for 61309cd7fc631e1bf2fad9adf1197ca75f7e577d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 16 Oct 2025 14:16:59 +0200

=== debian/control ===
Source: kpicosim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kpicosim-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kpicosim-trinity (<< 4:14.0.0~)
Breaks: kpicosim-trinity (<< 4:14.0.0~)
Description: IDE and simulator for the Xilinx PicoBlaze-3 [Trinity]
 kpicosim is a development environment for the Xilinx 
 PicoBlaze-3 soft-core processor for the Trinity Desktop (Linux).
 The environment has an editor with syntax highlighting, compiler,
 simulator and export functions to VHDL, HEX and MEM files.

## kpicosim-trinity 14.2.0~pre35

=== debian/changelog ===
kpicosim-trinity (4:14.2.0~pre35-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 09976f578fdd42b25abb2ca0dfe17fcf8783a35a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpicosim

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 20:08:02 +0100
